org.wso2.carbon.webapp.mgt.loader

## Class WebappClassloadingContext

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.loader.WebappClassloadingContext

-     public class WebappClassloadingContext
      extends Object

  Contains information about the class loading behaviour of a webapp.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappClassloadingContext()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClassloadingConfiguration` | `getClassloadingConfig()`
    `String[]` | `getEnvironments()`
    `String[]` | `getProvidedRepositories()`
    `boolean` | `isDelegatedPackage(String name)`
    `boolean` | `isDelegatedResource(String name)`
    `boolean` | `isExcludedPackage(String name)`
    `boolean` | `isExcludedResources(String name)`
    `boolean` | `isParentFirst()`
    `void` | `setDelegatedPackages(String[] delegatedPkgList)`
    `void` | `setDelegatedResources(String[] delegatedResourceList)`
    `void` | `setEnvironments(String[] environments)`
    `void` | `setParentFirst(boolean parentFirst)`
    `void` | `setProvidedRepositories(String[] repositories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebappClassloadingContext

          public WebappClassloadingContext()

  - ### Method Detail

    - #### getClassloadingConfig

          public static ClassloadingConfiguration getClassloadingConfig()

    - #### isDelegatedPackage

          public boolean isDelegatedPackage(String name)

    - #### setDelegatedPackages

          public void setDelegatedPackages(String[] delegatedPkgList)

    - #### getProvidedRepositories

          public String[] getProvidedRepositories()

    - #### setProvidedRepositories

          public void setProvidedRepositories(String[] repositories)

    - #### isParentFirst

          public boolean isParentFirst()

    - #### setParentFirst

          public void setParentFirst(boolean parentFirst)

    - #### isExcludedPackage

          public boolean isExcludedPackage(String name)

    - #### setEnvironments

          public void setEnvironments(String[] environments)

    - #### getEnvironments

          public String[] getEnvironments()

    - #### isExcludedResources

          public boolean isExcludedResources(String name)

    - #### isDelegatedResource

          public boolean isDelegatedResource(String name)

    - #### setDelegatedResources

          public void setDelegatedResources(String[] delegatedResourceList)

Copyright © 2017 WSO2. All rights reserved.